from Globals import package_home
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFTypes import process_types, listTypes
from Products.CMFTypes.debug import log
import os, os.path

ADD_CONTENT_PERMISSION = 'Add example content'
PROJECTNAME = "TypesExample"
SKIN_NAME = 'example_views'

# Used by the Install.py external method
project_globals=globals()

# Make the skins available as DirectoryViews
registerDirectory('skins', globals())

def initialize(context):
    ##Import Types here to register them
    import Article

    homedir = package_home(project_globals)
    target_dir = os.path.join(homedir, 'skins', SKIN_NAME)

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME,
        target_dir=target_dir)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
